Initiate Payment By Fiat Currency
curl --request POST \
--url https://secureapi.tender.cash/v1/api/payment/initiate/{currency} \
--header 'Content-Type: <content-type>' \
--header 'x-access-id: <api-key>' \
--data '
{
"amount": "100.00",
"chain": "ethereum",
"currency": "usdc",
"meta": {
"customerEmail": "customer@example.com"
}
}
'const options = {
method: 'POST',
headers: {'x-access-id': '<api-key>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
amount: '100.00',
chain: 'ethereum',
currency: 'usdc',
meta: {customerEmail: 'customer@example.com'}
})
};
fetch('https://secureapi.tender.cash/v1/api/payment/initiate/{currency}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://secureapi.tender.cash/v1/api/payment/initiate/{currency}"
payload = {
"amount": "100.00",
"chain": "ethereum",
"currency": "usdc",
"meta": { "customerEmail": "customer@example.com" }
}
headers = {
"x-access-id": "<api-key>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://secureapi.tender.cash/v1/api/payment/initiate/{currency}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '100.00',
'chain' => 'ethereum',
'currency' => 'usdc',
'meta' => [
'customerEmail' => 'customer@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"x-access-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "<string>",
"message": "<string>",
"data": {
"type": "<string>",
"chain": "<string>",
"chainId": "<string>",
"amount": "<string>",
"agentId": "<string>",
"merchantId": "<string>",
"usdAmount": "<string>",
"coinAmount": "<string>",
"fee": 123,
"feeUSD": 123,
"feeSent": true,
"rate": 123,
"walletAddress": "<string>",
"walletAddressIndex": 123,
"currency": "<string>",
"activationFee": 123,
"activationFeeUSD": 123,
"contractAddress": "<string>",
"agentAmount": "<string>",
"agentRate": "<string>",
"agentCurrency": "<string>",
"txId": "<string>"
}
}Payment
Initiate Payment By Fiat Currency
Create a payment transaction for a specific fiat currency
POST
/
v1
/
api
/
payment
/
initiate
/
{currency}
Initiate Payment By Fiat Currency
Auth method: Basic (Access ID) — this endpoint only requires your
x-access-id header. No request signing is needed. See
Authentication.Path Parameters
string
required
Currency code for the paymentExample:
"ngn"Headers
string
required
Your API access ID provided by TenderExample:
"your-access-id-here"string
required
Media type of the request bodyExample:
"application/json"Body
string
required
Payment amount in the specified currencyExample:
"1.023"string
required
Blockchain network to use for the transactionExample:
"avalanche"string
required
Cryptocurrency for the paymentExample:
"avalanche"string
Optional reference or transaction ID for your own tracking purposesExample:
"ORDER-12345"object
Optional metadata attached to the payment
Show meta properties
Show meta properties
string
The customer’s email addressExample:
"customer@example.com"Response
string
required
Status of the API requestExample:
"success"string
required
Human-readable message describing the resultExample:
"success"object
required
The initiated payment transaction details
Show data properties
Show data properties
string
Transaction typeExample:
"receive"string
Blockchain network usedExample:
"avalanche"string
Internal chain identifierExample:
"64f782bb4278fc475eb30e29"string
Destination wallet address for paymentExample:
"0x40b95eddeeac0776ebefc3963bb9ba7d22cbd065"string
Amount in cryptocurrencyExample:
"0.023741"string
Equivalent amount in USDExample:
"1.02"string
Amount in the specified cryptocurrencyExample:
"0.023741"number
Transaction fee in cryptocurrencyExample:
0.00023741007194244602number
Transaction fee in USDExample:
0.0102boolean
Whether the fee has been sentExample:
falsenumber
Exchange rate used for conversionExample:
43.09string
Agent receiving the paymentExample:
"6538eaaebdec6d1a21978e6a"string
Merchant ID associated with the transactionExample:
"6538e8f9bdec6d1a21978a64"string
Currency identifierExample:
"64fc4cda43812c15552311d7"string
Amount in agent’s local currencyExample:
"1.023"string
Exchange rate for agent’s currencyExample:
"1"string
Agent’s local currency codeExample:
"usd"string
Unique transaction identifierExample:
"66aec7de809b7f45c42a49f9"Authorizations
Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.
Headers
Your API access ID provided by Tender
Media type of the request body
Path Parameters
Fiat currency code (e.g., ngn, usd)
Body
application/json
Payment amount in fiat currency
Example:
"1.023"
Blockchain network
Example:
"avalanche"
Cryptocurrency to receive
Example:
"avalanche"
Optional reference or transaction ID for your own tracking purposes
Example:
"ORDER-12345"
Optional metadata attached to the payment
Show child attributes
Show child attributes